# eoRealBelowBound Class Reference

an eoRealBound bounded from below only More...

`#include <eoRealBounds.h>`

Inheritance diagram for eoRealBelowBound:

List of all members.

## Public Member Functions

| eoRealBelowBound (double _min=0)
| Simple bounds = minimum.
virtual double | minimum () const
| get minimum value ::exception if does not exist
virtual double | maximum () const
| get maximum value ::exception if does not exist
virtual double | range () const
| get range ::exception if unbounded
virtual double | uniform (eoRng &_rng=eo::rng) const
| random generator of uniform numbers in bounds ::exception if unbounded
virtual bool | isBounded (void) const
| Self-Test: true if ***both*** a min and a max.
virtual bool | hasNoBoundAtAll (void) const
| Self-Test: true if no min ***and*** no max hence no further need to test/truncate/fold anything.
virtual bool | isMinBounded (void) const
| Self-Test: bounded from below???
virtual bool | isMaxBounded (void) const
| Self-Test: bounded from above???
virtual bool | isInBounds (double _r) const
| Test on a value: is it in bounds?
virtual void | foldsInBounds (double &_r) const
| Put value back into bounds - by folding back and forth.
virtual void | truncate (double &_r) const
| Put value back into bounds - by truncating to a boundary value.
virtual void | readFrom (std::istream &_is)
| Read object.
virtual void | printOn (std::ostream &_os) const
| Write object.
virtual eoRealBounds * | dup () const
| for memory managements - ugly

## Private Attributes

double | repMinimum

## Detailed Description

an eoRealBound bounded from below only

Definition at line 315 of file eoRealBounds.h.

## Member Function Documentation

virtual void eoRealBelowBound::readFrom | ( | std::istream & | _is | ) | `[inline, virtual]`

Read object.

Parameters:

  | _is | A std::istream. but reading should not be done here, because of bound problems see eoRealVectorBounds

Implements eoPersistent.

Definition at line 382 of file eoRealBounds.h.

virtual void eoRealBelowBound::printOn | ( | std::ostream & | _os | ) | const`[inline, virtual]`

Write object.

It's called printOn since it prints the object on a stream.

Parameters:

  | _os | A std::ostream.

Implements eoPrintable.

Definition at line 391 of file eoRealBounds.h.

The documentation for this class was generated from the following file:

- eoRealBounds.h